import {
  Forbidden,
  NotFound,
  PageError as Error
} from "@rakit/joy-ui";
import { useParams } from "react-router-dom";

export default function PageError() {
  const { status } = useParams<'status'>();

  switch (status) {
    case "403":
      return <Forbidden key="error403" />
    case "404":
      return <NotFound key="error404" />
    case "500":
    default:
      return <Error key="error500" />
  }
}
