

export type SearchParams =
  | string
  | [string, string | number | boolean][]
  | Record<string, any>
  | URLSearchParams
  | null;

export type BodyParams =
  | BodyInit
  | Record<string, any>
  | null;

export type HttpMethod =
  | "DELETE"
  | "GET"
  | "HEAD"
  | "OPTIONS"
  | "PATCH"
  | "POST"
  | "PUT"
  | RequestInit['method'];

export type Combination = 'overrides' | 'chaining';

export type FetchConfig = {
  cache?: RequestCache;
  credentials?: RequestCredentials;
  integrity?: string;
  keepalive?: boolean;
  mode?: RequestMode;
  priority?: RequestPriority;
  redirect?: RequestRedirect;
  referrer?: string;
  referrerPolicy?: ReferrerPolicy;
}

export type RequestFactory = (
  input: RequestInfo | URL,
  init?: RequestInit
) => Promise<Request> | PromiseLike<Request> | Request;

export type ErrorCorrector = (
  error: unknown,
  request: Request | undefined,
  response: Response | undefined,
) => Promise<any> | any;

export type RequestIntercepter = (
  request: Request
) => Promise<Request> | PromiseLike<Request> | Request;

export type ResponseTransformer = (
  request: Request,
  response: Response,
  data?: any,
) => Promise<any> | PromiseLike<any> | any;

export type Fetcher = (
  input: RequestInfo | URL,
  init?: RequestInit,
) => Promise<Response>;
