import Box, { BoxProps } from '@mui/joy/Box';
import CircularProgress, { CircularProgressProps } from '@mui/joy/CircularProgress';

export interface LoadingProps extends CircularProgressProps {
  rootProps?: BoxProps;
}

export function Loading(props: LoadingProps) {
  const { rootProps, ...rest } = props;
  return (
    <Box
      display="flex"
      flexDirection="column"
      justifyContent="center"
      alignItems="center"
      gap={2}
      height="100dvh"
      {...rootProps}
    >
      <CircularProgress
        {...rest}
      />
    </Box>
  )
}
