import IconButton, { IconButtonProps } from '@mui/joy/IconButton';
import RefreshIcon from '@mui/icons-material/Refresh';
import { useLoading } from '@rakit/core';

type LoadingIndicatorProps = Omit<IconButtonProps, 'loading'>;

export function LoadingIndicator(props: LoadingIndicatorProps) {
  const loading = useLoading();

  return (
    <IconButton
      {...props}
      loading={loading}
    >
      <RefreshIcon />
    </IconButton>
  );
}
