import { ReactNode } from 'react';
import { BasenameContext } from './BasenameContext';

export interface BasenameContextProviderProps {
  basename: string;
  children?: ReactNode;
}

/**
 * Set the string to append to all links to the admin app.
 *
 * Useful when the app is mounted on a sub path, e.g. '/admin'.
 * Used internally by the `<Admin>` component.
 *
 * @see useBasename
 */
export function BasenameContextProvider(props: BasenameContextProviderProps) {
  const { basename, children } = props;
  return (
    <BasenameContext.Provider value={basename}>
      {children}
    </BasenameContext.Provider>
  );
}
