import { useErrorContext } from "./useErrorContext";
import { useResetErrorBoundaryOnLocationChange } from "./useResetErrorBoundaryOnLocationChange";

export function DefaultError() {
  const { error, errorInfo, resetErrorBoundary } = useErrorContext();

  useResetErrorBoundaryOnLocationChange(resetErrorBoundary);

  return (
    <div>
      <h1>Error</h1>
      <pre>
        {error.message}
        {errorInfo?.componentStack}
      </pre>
    </div>
  );
}
