import { ReactElement, ReactNode } from "react"
import { DefaultTitleContext } from "./DefaultTitleContext";

export interface DefaultTitleContextProviderProps {
  children?: ReactNode;
  value?: string | ReactElement | null;
}

export function DefaultTitleContextProvider(props: DefaultTitleContextProviderProps) {
  const { children, value } = props;

  if (value == null) {
    return children;
  }

  return (
    <DefaultTitleContext.Provider value={value}>
      {children}
    </DefaultTitleContext.Provider>
  );
}
