import { ErrorInfo, ReactNode } from "react";
import { FallbackProps } from "react-error-boundary";

export interface CoreLayoutProps {
  children: ReactNode;
}

export type RenderRoutesFunction = (permissions: any) =>
  | ReactNode // (permissions) => <><Route /><Route /><Route /></>
  | Promise<ReactNode> // (permissions) => fetch().then(() => <><Route /><Route /><Route /></>)

export type AdminChildren =
  | RenderRoutesFunction
  | Iterable<ReactNode | RenderRoutesFunction>
  | ReactNode;

export type AdminRouterStatus = 'loading' | 'empty' | 'ready';

export interface ErrorContextValue {
  errorInfo?: ErrorInfo;
  error: Error;
  resetErrorBoundary: FallbackProps['resetErrorBoundary'];
}
