import { useContext } from "react";
import { DefaultTitleContext } from "./DefaultTitleContext";

/**
 * Get the application title defined at the `<Admin>` level
 *
 * @example
 * import { useDefaultTitle } from 'react-admin';
 *
 * const AppBar = () => {
 *    const defaultTitle = useDefaultTitle();
 *    return <span>{defaultTitle}</span>;
 * }
 */
export function useDefaultTitle() {
  return useContext(DefaultTitleContext);
}
