import { createContext } from 'react';
import { substituteTokens } from './substituteTokens';
import { I18nProvider } from './types';

export type I18nContextProps = I18nProvider

export const defaultTranslate = (key: string, options?: Record<string, string>): string => {
  return substituteTokens(options?._ ?? key, options);
}

export const defaultI18nProvider = {
  translate: defaultTranslate,
  changeLocale: () => Promise.resolve(),
  getLocale: () => 'en',
};

export const I18nContext = createContext<I18nProvider>(defaultI18nProvider);

I18nContext.displayName = 'I18nContext';
