export type Translate = (key: string, options?: Record<string, string>) => string;

export type Locale = {
  code: string
  name: string
};

export interface I18nProvider {
  translate: Translate;
  changeLocale: (locale: Locale, options?: Record<string, unknown>) => Promise<void>;
  getLocale: () => string;
  getLocales?: () => Locale[];
  [key: string]: any;
}
