import noop from "lodash/noop";
import { createContext } from "react";
import { UndoableCallback } from "./types";

/**
 * @private
 */
export interface UndoableContextValue {
  listen: (id: string, callback: UndoableCallback) => void;
  dispatch: (id: string, isUndo: boolean) => void;
}

/**
 * @private
 */
export const UndoableContext = createContext<UndoableContextValue>({
  listen: noop,
  dispatch: noop,
});
