import { ReactNode, useEffect, useState } from "react";
import { UndoableIdContext } from "./UndoableIdContext";
import { base62 } from "../util";

let nextId = typeof window === "undefined"
  ? 0
  : Date.now();

export function UndoableIdProducer(props: { children?: ReactNode }) {
  const [id, setId] = useState("");

  useEffect(() => {
    setId(base62(++nextId));
  }, []);

  return (
    <UndoableIdContext.Provider value={id}>
      {props.children}
    </UndoableIdContext.Provider>
  );
}
