import { ReactNode } from "react";

export type NotificationType = 'success' | 'info' | 'warning' | 'error';
export type NotificationPosition = 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right' | 'top-center' | 'bottom-center';

export interface NotificationOptions {
  autoHideDuration?: number;
  description?: string | ReactNode;
  descriptionArgs?: any;
  messageArgs?: any;
  multiLine?: boolean;
  icon?: React.ReactNode;
  position?: NotificationPosition;
  type?: NotificationType;
  undoable?: boolean;
  undoableId?: string;
  dismissable?: boolean;
}

export type NotificationPayload = Readonly<NotificationOptions> & {
  readonly message: string | ReactNode;
}

export type AddNotificationFunction = (notification: NotificationPayload) => void;

export interface UndoEvent {
  id: string;
  isUndo?: boolean;
}

export type UndoableCallback = (event: UndoEvent) => void;
