import { useContext } from "react";
import { UndoableIdContext } from "./UndoableIdContext";

export function useUndoableId(): string | undefined;
export function useUndoableId(must: boolean): string;
export function useUndoableId(must?: boolean) {
  const id = useContext(UndoableIdContext);

  if (must && id == null) {
    throw new Error(
      "You've tried to access undoable id outside <UndoableIdProducer />.\n" +
      "Please wrap your code with it first.\n"
    );
  }

  return id;
}
