import { ReactNode, useContext, useMemo } from "react";
import { PortalContext } from "./PortalContext";

export interface PortalProviderProps {
  children?: ReactNode;
  name: string;
  container: Element | string | null;
}

export function PortalProvider(props: PortalProviderProps) {
  const { children, container, name } = props;
  const map = useContext(PortalContext);

  const contextValue = useMemo(
    () => ({ ...map, [name]: container }),
    [name, container, map],
  );

  return (
    <PortalContext.Provider value={contextValue}>
      {children}
    </PortalContext.Provider>
  );
}
