import { createContext } from "react";
import { RaRecord, RecordToStringFunction } from "./types";

export type RecordContextValue<TRecord extends RaRecord = any> = {
  record: TRecord;
  representation?: string | RecordToStringFunction<TRecord>;
}

/**
 * Context to store a record.
 *
 * @see RecordContextProvider
 * @see useRecordContext
 */
export const RecordContext = createContext<
  RecordContextValue | undefined
>(undefined);

RecordContext.displayName = 'RecordContext';
