import { RaRecord, RecordToStringFunction } from "./types";
import { useRecordRepresentation } from "./useRecordRepresentation";

/**
 * Render the record representation as specified on its parent <Resource>.
 * @param props The component props
 * @param {string} props.resource The resource name
 * @param {RaRecord} props.record The record to render
 */
export function RecordRepresentation(props: {
  record?: RaRecord;
  representation?: string | RecordToStringFunction<RaRecord>;
}) {
  const recordRepresentation = useRecordRepresentation(props);

  return <>{recordRepresentation}</>;
}
