import { ReactNode, useEffect } from "react";
import { Store } from "../types";
import { StoreContext } from "./StoreContext";

export interface StoreContextProviderProps {
  value: Store;
  children: ReactNode;
}

export const StoreContextProvider = ({
  value: store,
  children,
}: StoreContextProviderProps) => {
  useEffect(() => {
    store.setup();
    return () => {
      store.teardown();
    };
  }, [store]);

  return (
    <StoreContext.Provider value={store}>
      {children}
    </StoreContext.Provider>
  );
};
