import { ComponentType, createElement, isValidElement, ReactElement } from "react";
import { isValidElementType } from "react-is";

export function getReactElement(ElementOrComponent: ComponentType<any> | ReactElement): ReactElement | null {
  if (isValidElement(ElementOrComponent)) {
    return ElementOrComponent;
  }

  if (isValidElementType(ElementOrComponent)) {
    return createElement(ElementOrComponent as ComponentType<any>);
  }

  return null;
}
