export type SearchParams =
  | string
  | [string, string | number | boolean][]
  | Record<string, any>
  | URLSearchParams
  | null;

export type BodyParams =
  | BodyInit
  | Record<string, any>
  | null;

export type HttpMethod =
  | "DELETE"
  | "GET"
  | "HEAD"
  | "OPTIONS"
  | "PATCH"
  | "POST"
  | "PUT"
  | RequestInit['method'];

export type FetchConfig = {
  cache?: RequestCache;
  credentials?: RequestCredentials;
  integrity?: string;
  keepalive?: boolean;
  method?: string;
  mode?: RequestMode;
  priority?: RequestPriority;
  redirect?: RequestRedirect;
  referrer?: string;
  referrerPolicy?: ReferrerPolicy;
}

export type FetchKey = string
