import { useMemo } from "react";
import { FetchConfig } from "./types";
import { useFetchContext } from "./useFetchContext";

export interface UseFetchConfigOptions {
  config?: FetchConfig;
  [key: string]: any;
}

export function useFetchConfig(
  options?: UseFetchConfigOptions,
): FetchConfig {
  const fetchContext = useFetchContext();

  return useMemo(() => ({
    ...fetchContext?.config,
    ...options?.config,
  }), [
    fetchContext?.config,
    options?.config,
  ]);
}
