import { useCallback } from "react";
import { FetchKey, HttpMethod } from "./types";
import { useFetchContext } from "./useFetchContext"

export type ScopedFetchPublisher = (method: HttpMethod, data?: any) => void;

export function useFetchPublisher(key: FetchKey | undefined): ScopedFetchPublisher {
  const { publish } = useFetchContext({});

  return useCallback((method: HttpMethod, data?: any) => {
    if (key && publish) {
      publish(key, method, data);
    }
  }, [key, publish]);
}
